Fixes a FTBFS bug with gcc 4.

diff -ruNp inn-1.7.2.orig/lib/parsedate.y inn-1.7.2/lib/parsedate.y
--- inn-1.7.2.orig/lib/parsedate.y	2005-07-31 12:58:53.000000000 +0200
+++ inn-1.7.2/lib/parsedate.y	2005-07-31 12:58:50.000000000 +0200
@@ -671,7 +671,7 @@ LookupWord(buff, length)
 }
 
 
-static int
+int
 date_lex()
 {
     register char	c;
